DummyResponse (Tomcat API Documentation)
Keywords: org.apache.catalina.core.DummyResponse class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.core
Class DummyResponse

    java.lang.Object
      org.apache.catalina.core.DummyResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

public class DummyResponse
extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

Dummy response object, used for JSP precompilation.

Version:
  $Id: DummyResponse.java 939525 2010-04-30 00:36:35Z kkolinko $
Author:
  Remy Maucherat

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`DummyResponse()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long value)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`boolean` | `containsHeader(java.lang.String name)`
`javax.servlet.ServletOutputStream` | `createOutputStream()`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)`
`void` | `finishResponse()`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`Connector` | `getConnector()`
`int` | `getContentCount()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`Context` | `getContext()`
`javax.servlet.http.Cookie[]` | `getCookies()`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.lang.String[]` | `getHeaderNames()`
`java.lang.String[]` | `getHeaderValues(java.lang.String name)`
`boolean` | `getIncluded()`
`java.lang.String` | `getInfo()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getMessage()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.io.PrintWriter` | `getReporter()`
`Request` | `getRequest()`
`javax.servlet.ServletResponse` | `getResponse()`
`int` | `getStatus()`
`java.io.OutputStream` | `getStream()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isAppCommitted()`
`boolean` | `isCommitted()`
`boolean` | `isError()`
`boolean` | `isSuspended()`
`void` | `recycle()`
`void` | `reset()`
`void` | `reset(int status, java.lang.String message)`
`void` | `resetBuffer()`
`void` | `sendAcknowledgement()`
`void` | `sendError(int status)`
`void` | `sendError(int status, java.lang.String message)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setAppCommitted(boolean appCommitted)`
`void` | `setBufferSize(int size)`
`void` | `setCharacterEncoding(java.lang.String charEncoding)`
`void` | `setConnector(Connector connector)`
`void` | `setContentLength(int length)`
`void` | `setContentType(java.lang.String type)`
`void` | `setContext(Context context)`
`void` | `setDateHeader(java.lang.String name, long value)`
`void` | `setError()`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIncluded(boolean included)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setRequest(Request request)`
`void` | `setStatus(int status)`
`void` | `setStatus(int status, java.lang.String message)`
`void` | `setStream(java.io.OutputStream stream)`
`void` | `setSuspended(boolean suspended)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyResponse

    public DummyResponse()

Method Detail

### setAppCommitted

    public void setAppCommitted(boolean appCommitted)

### isAppCommitted

    public boolean isAppCommitted()

### getConnector

    public Connector getConnector()

### setConnector

    public void setConnector(Connector connector)

### getContentCount

    public int getContentCount()

### getContext

    public Context getContext()

### setContext

    public void setContext(Context context)

### getIncluded

    public boolean getIncluded()

### setIncluded

    public void setIncluded(boolean included)

### getInfo

    public java.lang.String getInfo()

### getRequest

    public Request getRequest()

### setRequest

    public void setRequest(Request request)

### getResponse

    public javax.servlet.ServletResponse getResponse()

### getStream

    public java.io.OutputStream getStream()

### setStream

    public void setStream(java.io.OutputStream stream)

### setSuspended

    public void setSuspended(boolean suspended)

### isSuspended

    public boolean isSuspended()

### setError

    public void setError()

### isError

    public boolean isError()

### createOutputStream

    public javax.servlet.ServletOutputStream createOutputStream()
                                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### finishResponse

    public void finishResponse()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentLength

    public int getContentLength()

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`

### getReporter

    public java.io.PrintWriter getReporter()

### recycle

    public void recycle()

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String charEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.IOException`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### setContentLength

    public void setContentLength(int length)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### setContentType

    public void setContentType(java.lang.String type)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

### getHeader

    public java.lang.String getHeader(java.lang.String name)

### getHeaderNames

    public java.lang.String[] getHeaderNames()

### getHeaderValues

    public java.lang.String[] getHeaderValues(java.lang.String name)

### getMessage

    public java.lang.String getMessage()

### getStatus

    public int getStatus()

### reset

    public void reset(int status,
                      java.lang.String message)

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### sendAcknowledgement

    public void sendAcknowledgement()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int status)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int status,
                          java.lang.String message)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int status)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int status,
                          java.lang.String message)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.